apiVersion: apps/v1
kind: Deployment
metadata:
  name: apache-deployment
  namespace: default
  labels:
    app: apache-deployment
spec:
  revisionHistoryLimit: 2
  strategy:
    type: RollingUpdate
  replicas: 3
  selector:
    matchLabels:
      app: apache-pod-dp 
  template:
    metadata:
      labels:
        app: apache-pod-dp
    spec:
      containers:
      - image: mcalle86/emulatrix:1.1
        name: apache
        ports:        
        - name: http
          containerPort: 80
